VelocityReport Plugin - Defect #351

dataset.getColumnAsArray(3) problem when used in chartDef.lines[0].data
07/29/2011 06:01 PM - Nicola Gervasi

Status: Closed Start date: 07/29/2011
Priority: Normal Due date:

Assignee: % Done: 100%
Category: charting Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
The line is not drawn.

Table:

CREATE TABLE sintpro_mods.sintpro_stats
(
sintpro_stat_id integer NOT NULL,

c_date timestamp without time zone,

jvm_total_mem integer,

jvm_free_mem integer,

jvm_max_mem integer,

smart_clients integer,

web_clients integer,

server_id integer,

CONSTRAINT sintpro_stats_pkey PRIMARY KEY (sintpro_stat_id)
)

var _sql = 'SELECT\

c_date, jvm_total_mem/1024, jvm_free_mem/1024, jym_max_mem/1024 \

FROM sintpro_stats \

WHERE c_date >= ? AND c_date <= ?\

ORDER BY c_date ASC LIMIT 100’

/** @type {JSDataSet<{cdate:Date,total:Number,free:Number,max:Number}>} */

var _ds = databaseManager.getDataSetByQuery('sintpro_mods',_sql,[start_date,end_date],-1)

// Get a Chart object suitable to embed in a report or put in HTML_AREA field

a chart definition obiject):

(based on a type and

var chartDef = {}

var _title = 'Servoy Application Server Memory Usage ('+utils.dateFormat (start_date,
d-MM-yyyy')+'/'+utils.dateFormat (end_date, 'dd-MM-yyyy')+')"'

chartDef.title = _title.toString()

chartDef.width = elements.report_area.getWidth () -20

chartDef.height = elements.report_area.getHeight () -20

chartDef.legendPosition = 'right'

chartDef.background = '"#ffffff'

chartDef.labelFontSize = 10
chartDef.minValue = 0.0

chartDef.maxValue = 90000

chartDef.lines = []

chartDef.lines[0] = {}

chartDef.lines[0] .data = _ds.getColumnAsArray (3)
chartDef.lines[0] .color = "#££0000"
chartDef.lines[0].legend = ' Free Memory'

chartDef.lines[0
chartDef.lines[1

.lineStyle = {lineThickness: 5}
= {}

chartDef.lines[1l].color = "#ccff00"'

]
]
chartDef.lines[1l].data = [26318,28000,3000,14000,54000,12000,5000,6000]
]
]

chartDef.lines[1l].legend = ' Test'
chartDef.lines[1l].lineStyle = {lineThickness: 5}
report += plugins.VelocityReport.getChart (CHART.LINE, chartDef, true, 1)
History

#1 - 08/15/2011 03:06 AM - Patrick Talbot

- Status changed from New to In Progress

#2 - 08/15/2011 03:36 AM - Patrick Talbot
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Fixed with v1.4.14
